Support CAN-FD in ADTF2
2019-05-02 10:15 - hidden

Status: Closed
Priority: Normal
Category:
Customer: DAIMLER Product Issue
Numbers:
Department: RD/ASA Affected Products: ADTF 2.14.3
Requester's Priority: Normal Platform: Windows 7 64bit
Support Level: 2nd Level Topic: DeviceTB::CANFD
Resolution: Not Supported Scope FAQ Links:
Description
Supportanfrage:

Die Device Toolbox beinhaltet verschiedene Filter fir die Einbindung von CAN, aktuell verwenden wir konkret den
Peak-Reiceiver-Filter fir Peak-USB-CAN, jetzt ist die Frage, ob dieser Filter auch CAN-FD unterstitzt, in der Doku ist nichts zu
finden. Wenn nicht, wovon ich ausgehe, wie kann CAN-FD Hardware von Peak<
https://www.peak-system.com/PCAN-USB-FD.365.0.html> in ADTF2 verwendet werden.

Losung:

ADTF, Peak und CAN-FD wird mit Bordmitteln weder in ADTF 2.x als auch in ADTF 3.x implementiert und supportet, misste
demnach selbst angegangen werden. Vorteil in ADTF 3.x wére der Support von CAN-FD an sich, hier misste "nur" das Peak Device
implementiert werden

History

#1 - 2019-05-02 13:51 - hidden

- Project changed from Public Support to 9
- Status changed from New to In Progress
- Topic set to DeviceTB::CANFD

- Customer set to DAIMLER

- Department set to RD/ASA

Hallo Christian Scheunemann,

fur CAN-FD gibt es in ADTF 2.x keinen Support.
Support des CAN-FD findet man erst ADTF 3.x.

Uber die ADTF 2.14.x und ADTF 3 Support TB lassen sich Daten vom/zu Peak CAN zwischen ADTF 2.x und 3.x austauschen

@Florian: Erganzungen/ Anmerkung?

#2 - 2019-05-02 14:00 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Christian,

@°Florian: Erganzungen/ Anmerkung?

@Michael: Fast richtig.

Es gibt in ADTF 2.x bzw. DevTB 2.x keine offizielle CAN-FD Implementierung.
Inoffiziell ist ein BETA Stand fir den VW Konzern in Dev TB 2.7.0 verfugbar.
Dieser wird aber nicht weiter gepflegt, und wirde zu Dev TB 3.x lGebrarbeitet.
Was komplett fehlt ist aber der Support im Peak Device, was wiederrum auch zu Dev TB 3.x entféllt (wurde vom Kundenforum gestrichen).

Das misste demnach auch handisch gemacht werden, deshalb gibt es hierzu auch die Quellen ->

https://www.cip.audi.de/bitbucket/projects/ OPENDEV/repos/odadev/browse (solltest du eine Freischaltung benétigen, wende dich bitte an Pierre
Voigtlander)

Fazit: ADTF, Peak und CAN-FD wird mit Bordmitteln weder in ADTF 2.x als auch in ADTF 3.x implementiert und supportet, misste demnach selbst
angegangen werden. Vorteil in ADTF 3.x ware der Support von CAN-FD an sich, hier misste "nur" das Peak Device implementiert werden bei euch.

#3 - 2019-05-02 15:02 - hidden
Nachtrag:

Auf den Link hat man natdrlich nur vom VW Konzern aus Zugriff, deshalb im Anhang der Source Code Stand, auf dem aufgebaut werden kann.
Die CAN-FD Datenstruktur findest du in #626.

#4 - 2019-05-02 15:08 - hidden
- File peak_can.zip added

#5 - 2019-05-02 15:30 - hidden

Ich habe vermutet, dass es in Release 2 noch keinen FD-Support gibt; d.h. die Integration von Peak mit CAN-FD ist entsprechend etwas
aufwendiger...

Danke fir die ausfihrlichen Infos und den guten Support.
Viele GruBe

Christian

#6 - 2019-05-03 13:48 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed
- Resolution set to Not Supported Scope

- Affected Products ADTF 2.14.3 added

- Platform Windows 7 64bit added

#7 - 2019-07-19 08:16 - hidden
- Project changed from 9 to Public Support
- Status changed from To Be Closed to Closed

- Private changed from Yes to No

Files

peak_can.zip 377 KB 2019-05-02 hidden
